Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		raptor
Version:	1.4.21
Release:	2
License:	GNU/GPL 
URL:		http://librdf.org/raptor/
Group:		System/Libraries
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686
Summary:	%{name} is a RDF parser and serializer library in C.
BuildRequires:	cyrus-sasl-devel

BuildRequires: libssh2-devel

#Automatically resolved build dependencies
BuildRequires: curl-devel
BuildRequires: glibc-devel
BuildRequires: libidn-devel
BuildRequires: libxml2-devel
BuildRequires: libxslt-devel
BuildRequires: openldap-devel
BuildRequires: openssl-devel
BuildRequires: pkg-config
BuildRequires: zlib-devel

%description
%{name} is a C library providing a set of parsers and serializers for Resource Description Framework (RDF)
triples by parsing syntaxes into RDF triples and serializing triples into a syntax.
The parsers support RDF/XML, N-Triples, Turtle, XML RSS, and Atom 0.3 via RSS tag soup.
The serializers support RDF/XML, N-Triples, and RSS 1.0.
Raptor handles RDF/XML as used by RDF applications such as RSS 1.0, FOAF, DOAP, Dublin Core, and OWL.
It can use either expat or libxml2 for XML parsing, libcurl when available for URI retrieval,
and is portable to many POSIX systems.
For more details see: %{url}

%package devel
Summary: 	%{name} development headers.
Group: 		%{group}            
Requires: 	%{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -q -n %{name}-%{version}

%build
./configure --prefix=%_prefix --enable-release --disable-dependency-tracking --mandir=%_mandir
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
#make install prefix=$RPM_BUILD_ROOT/%{prefix}
#make install root=$RPM_BUILD_ROOT/%{prefix}
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%{_bindir}/rapper
%{_libdir}/libraptor.so.*
%{_datadir}/gtk-doc/html/raptor
%{_mandir}/man1/rapper.1.gz
%{_mandir}/man1/raptor-config.1.gz
%{_mandir}/man3/libraptor.3.gz

%files devel
%defattr(-,root,root)
%{_bindir}/raptor-config
%{_includedir}/raptor.h 
%{_libdir}/libraptor.a  
%{_libdir}/libraptor.la 
%{_libdir}/libraptor.so 
%{_pkgconfig}/raptor.pc      

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Oct 15 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.4.21-2
- rebuilt to provide pkgconfig(raptor)
* Sun Feb 14 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.4.21-1
- Version update
* Wed Jul 22 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.4.19-1
- Version update
* Thu Jul 31 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.4.18-1
- Version update
* Mon May 26 2008 Christian Metzen <metzench@ccux-linux.de> 1.4.16-2
- added require for rpm lzma compression
* Mon May 26 2008 Christian Metzen <metzench@ccux-linux.de> 1.4.16-1
- Version update
* Wed Oct 31 2007 Christian Metzen <metzench@ccux-linux.de> 1.4.15-2
- rebuild against curl 7.17.7
* Tue May 15 2007 Simon Schmeisser <wrt@ccux-linux.de> 1.4.15-1
- Version update
* Tue May 02 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.4.9-1
- Version update
* Sun Jul 24 2005 Christian Metzen <metzench@ccux-linux.de> 1.4.7-3
- Tweaked specfile, removed wrong obsoletes tag
* Fri Jul 08 2005 Karsten Brockmkann <brockmka@rz.fh-augsburg.de> 1.4.7-2
- rebuilt against openssl 0.9.8
* Mon Jul 04 2005 Karsten Brockmann <brockmka@rz.fh-augsburg.de> 1.4.7-1
- Version Update to 1.4.7
* Sat Feb 05 2005 Christian Wasem <wasem@ccux-linux.de> 1.4.5-1
- Initial Release
